libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
http_compat.h File Reference

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility. More...

`#include <event2/event-config.h>`
`#include <event2/util.h>`

Go to the source code of this file.

## Macros
#define | evhttp_request_uri evhttp_request_get_uri
| Returns the request URI.

## Functions
EVENT2_EXPORT_SYMBOL struct evhttp_connection * | evhttp_connection_new (const char *address, ev_uint16_t port)
| A connection object that can be used to for making HTTP requests.
EVENT2_EXPORT_SYMBOL void | evhttp_connection_set_base (struct evhttp_connection *evcon, struct event_base *base)
| Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet.
EVENT2_EXPORT_SYMBOL struct evhttp * | evhttp_start (const char *address, ev_uint16_t port)
| Start an HTTP server on the specified address and port.

## Detailed Description

Potentially non-threadsafe versions of the functions in http.h: provided only for backwards compatibility.

## Function Documentation

## ◆ evhttp_connection_new()

EVENT2_EXPORT_SYMBOL struct evhttp_connection * evhttp_connection_new | ( | const char * | address,
|  | ev_uint16_t | port )

A connection object that can be used to for making HTTP requests.

The connection object tries to establish the connection when it is given an http request object.

Deprecated
  It does not allow an event base to be specified

## ◆ evhttp_connection_set_base()

EVENT2_EXPORT_SYMBOL void evhttp_connection_set_base | ( | struct evhttp_connection * | evcon,
|  | struct event_base * | base )

Associates an event base with the connection - can only be called on a freshly created connection object that has not been used yet.

Deprecated
  XXXX Why?

## ◆ evhttp_start()

EVENT2_EXPORT_SYMBOL struct evhttp * evhttp_start | ( | const char * | address,
|  | ev_uint16_t | port )

Start an HTTP server on the specified address and port.

Deprecated
  It does not allow an event base to be specified

Parameters

  address | the address to which the HTTP server should be bound
  port | the port number on which the HTTP server should listen

Returns
  a pointer to a newly initialized evhttp server structure or NULL on error